#
# IShellCommandProcessor
#
# Copyright (c) 2001-2003 by Philipp "philiKON" von Weitershausen
#
# This software is distributed under the terms of the Mozilla Public
# License (MPL)
#

"""
$Id: ShellCommandProcessor.py,v 1.3 2003/05/02 13:58:06 philipp Exp $
"""

from Interface import Interface

class IShellCommandProcessor(Interface):
    """
    ShellCommandProcessor interface
    """

    def processStreams(command, pipe=None):
        """
        Call 'command' and return a sequence containing the return
        value, the stdout and the stderr output value. Optionally,
        write the string 'pipe' to the command's stdin.
        """
